/proxy_sessions/handoff
POST
/proxy_sessions/handoff
const url = 'https://example.com/proxy_sessions/handoff';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"amount_minor":1,"buyer_reference":"example","cart_snapshot":{},"currency":"example","expires_at":"example","integration_mode":"elements","metadata":{},"payer_contact":{"email":"example","phone":"example"},"payer_destination_url":"example","publishable_key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/proxy_sessions/handoff \ --header 'Content-Type: application/json' \ --data '{ "amount_minor": 1, "buyer_reference": "example", "cart_snapshot": {}, "currency": "example", "expires_at": "example", "integration_mode": "elements", "metadata": {}, "payer_contact": { "email": "example", "phone": "example" }, "payer_destination_url": "example", "publishable_key": "example" }'Creates a Proxy session and atomically marks it ready for hosted payer handoff.
Parameters
Section titled “ Parameters ”Header Parameters
Section titled “ Header Parameters ”idempotency-key
string
Request Bodyrequired
Section titled “ Request Bodyrequired ”Media typeapplication/json
object
amount_minor
required
integer
buyer_reference
required
string
cart_snapshot
required
object
key
additional properties
any
currency
required
string
expires_at
string
integration_mode
string
metadata
object
key
additional properties
any
payer_contact
object
email
string
phone
string
payer_destination_url
string
publishable_key
required
string
Responses
Section titled “ Responses ”Default Response
Media typeapplication/json
object
expires_at
required
string
id
required
string
integration_mode
required
string
status
required
string
Example
{ "integration_mode": "elements", "status": "payer_handoff_pending"}